Records
Query records by status, key, or due date
GET
Ordered by due date (undated last), then creation. Page with next_cursor.
header
AuthorizationBearer <token>Your space key (om_...). Create one with POST /v1/spaces.
collection*stringCollection name, e.g. commitments, goals, routines.
Match
^[A-Za-z0-9][A-Za-z0-9_.-]*$Length
1 <= length <= 64status?stringComma-separated statuses.
Length
length <= 200key?stringLength
length <= 200due_before?stringFormat
date-timelimit?integerRange
1 <= value <= 100Default
50cursor?stringRecords
application/json- response
records*array<>next_cursor*string|nullcurl -X GET 'https://api.openmemory.sh/v1/collections/string/records'Example Response
{ "records": [ { "id": "string", "collection": "string", "key": "string", "status": "string", "due_at": "string", "data": { "property1": null, "property2": null }, "origin": "user", "version": 0, "created_at": "string", "updated_at": "string" } ], "next_cursor": "string"}